RetrieveMessageRequesterFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.email.RetrieveMessageRequesterFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Class RetrieveMessageRequesterFactory

    java.lang.Object
      org.mule.transport.AbstractMessageRequesterFactory
          org.mule.transport.email.RetrieveMessageRequesterFactory

All Implemented Interfaces:
  MessageRequesterFactory

    public class RetrieveMessageRequesterFactory

extends AbstractMessageRequesterFactory

A source of mail receiving message dispatchers. The dispatcher can only be used to receive message (as apposed to listening for them). Trying to send or dispatch will throw an `UnsupportedOperationException`.

Constructor Summary
`RetrieveMessageRequesterFactory()`

Method Summary
`MessageRequester` | `create(InboundEndpoint endpoint)` Creates a new message requester instance, initialised with the passed endpoint.
`boolean` | `isCreateRequesterPerRequest()` By default client connections are closed after the request.

Methods inherited from class org.mule.transport.AbstractMessageRequesterFactory
`activate, destroy, passivate, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RetrieveMessageRequesterFactory

    public RetrieveMessageRequesterFactory()

Method Detail

### isCreateRequesterPerRequest

    public boolean isCreateRequesterPerRequest()

  By default client connections are closed after the request.

  Specified by:
    `isCreateRequesterPerRequest` in interface `MessageRequesterFactory`
  Overrides:
    `isCreateRequesterPerRequest` in class `AbstractMessageRequesterFactory`
  Returns:
    `false` by default, unless overwritten by a subclass.

### create

    public MessageRequester create(InboundEndpoint endpoint)
                            throws MuleException

  Description copied from interface: `MessageRequesterFactory`
  Creates a new message requester instance, initialised with the passed endpoint. The returned instance should be immediately useable.

  Specified by:
    `create` in interface `MessageRequesterFactory`
  Specified by:
    `create` in class `AbstractMessageRequesterFactory`
  Parameters:
    `endpoint` - the endoint for which this requester should be created
  Returns:
    a properly created `MessageRequester` for this transport
  Throws:
    `MuleException` - if the requester cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.